Bug 114357 - OO.o ja menubar text not displaying
OO.o ja menubar text not displaying
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2004-01-26 22:31 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-21 23:51:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-01-26 22:31:01 EST
Description of problem:
In a Japanese locale openoffice apps are not displaying
any Japanese text in the menus.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. LANG=ja_JP.UTF-8 oo{writer,calc}
2. Click on menubar with no Japanese text.
Actual results:
Menu items have no Japanese text (ie only shortcuts displayed).

Expected results:
Menubar and menus with Japanese text (falling back to
English at worst).

Additional info:
Worked fine in FC1.
Comment 1 Dan Williams 2004-01-27 16:38:57 EST
Problem diagnosed as follows:

Since OOo picks up the system font setting from Fontconfig, which
happens to be "Sans" by default, it attempts to remap Sans into an
actual font to use to display the UI.  This ends up being Nimbus Sans
L, which is the first existing fallback font for "Sans" in OOo's
configuration files.  However, Nimbus Sans L does not have coverage
for the ja range of glyphs, and therefore the glyphs are not displayed.

There are a couple ways to solve this problem:
1) Implement intelligent fallback in OOo to use a font that actually
has coverage for the requested range
2) Munge the default font fallback config files based on your locale
(the solution for 1.0.x and 1.1.0 < 10, but its really ugly and you
have to do it explicitly for each locale)

Ideally of course, (1) is the best solution but will take the most time.
Comment 2 Dan Williams 2004-01-29 09:47:07 EST
Please test 1.1.0-24 when it appears on rawhide (only openoffice.org
rpm has really chagned, not -libs or -i18n) and report whether or not
it solves your problem.  Thanks!
Comment 3 Jens Petersen 2004-01-29 23:29:18 EST
Yes, thank you, Japanese in the menus is back. :)

It is being rendered in a bitmap font though.  Is that
be expected?  The aa font used in English locale looks
really good.

Note You need to log in before you can comment on or make changes to this bug.